/*****************************************************************************
**  This is part of the CTSim program
**  Copyright (C) 1983-2000 Kevin Rosenberg
**
**  $Id: normangle.cpp,v 1.2 2000/06/19 19:04:05 kevin Exp $
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#include "ctsupport.h"


/* NAME
 *    norm_ang			Normalize angle to 0 to 2 * PI range
 *
 * SYNOPSIS
 *    t = norm_ang (theta)
 *    double t			Normalized angle
 *    double theta		Input angle
 */

double 
norm_ang (double theta)
{
  while (theta < 0.)
    theta += TWOPI;
  while (theta >= TWOPI)
    theta -= TWOPI;
  
  return (theta);
}
